Bug Hunting Session
Bug 48442 - FILEOPEN: Incorrect displaying attached RTF document
Summary: FILEOPEN: Incorrect displaying attached RTF document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: All All
: high major
Assignee: Miklos Vajna
URL:
Whiteboard: bibisected35 bibisected35older target...
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-04-08 12:42 UTC by mikhail.v.gavrilov
Modified: 2015-12-15 11:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
problem file (81.12 KB, application/rtf)
2012-04-08 12:42 UTC, mikhail.v.gavrilov
Details
Example right displaying in ms word (51.21 KB, image/png)
2012-04-08 12:43 UTC, mikhail.v.gavrilov
Details
Screenshot of the sample document opened with LibreOffice 3.5.2.2 on MacOS X (238.50 KB, image/png)
2012-04-17 13:27 UTC, Roman Eisele
Details
Screenshot of the sample document opened with master (LOdev) (263.95 KB, image/png)
2012-04-18 01:40 UTC, Roman Eisele
Details
Screenshot of the sample document opened with LibreOffice 3.5.4.2 on MacOS X (201.75 KB, image/png)
2012-06-02 03:07 UTC, Roman Eisele
Details
Screenshot of the sample document opened with LibreOffice 3.6.3.1 on MacOS X (215.92 KB, image/png)
2012-10-25 09:52 UTC, Roman Eisele
Details
Screenshot: sample document looks fine now, LOdev 2012-11-13 (221.97 KB, image/png)
2012-11-14 17:48 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikhail.v.gavrilov 2012-04-08 12:42:50 UTC
Created attachment 59652 [details]
problem file

Incorrect displaying attached rtf document
Comment 1 mikhail.v.gavrilov 2012-04-08 12:43:32 UTC
Created attachment 59653 [details]
Example right displaying in ms word
Comment 2 Roman Eisele 2012-04-17 13:26:23 UTC
[REPRODUCIBLE] with LibreOffice 3.5.2.2 (Build-ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f) German running on MacOS X 10.6.8 German. The page layout is destroyed. I will attach a screenshot showing how the RTF file looks for me in Writer.
Comment 3 Roman Eisele 2012-04-17 13:27:27 UTC
Created attachment 60221 [details]
Screenshot of the sample document opened with LibreOffice 3.5.2.2 on MacOS X
Comment 4 Roman Eisele 2012-04-18 01:31:33 UTC
Lowering severity a bit because there is no data loss, no crash, ...

@Miklos Vajna:
I think this bug may be of interest for you ;-) Therefore I took the liberty to assign it to you, just as a proposal. Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug. Thank you very much!
Comment 5 Roman Eisele 2012-04-18 01:40:46 UTC
Created attachment 60240 [details]
Screenshot of the sample document opened with master (LOdev)

Tested again with LOmaster 3.6.0alpha0+, Build ID: 55823d3 (installation file: master~2012-04-14_05.23.05_LibO-Dev_3.6.0alpha0_MacOS_x86_install_en-US.dmg) on MacOS X. There is some progress in displaying the page layout, but some elements are still at the wrong place (at the bottom of the page).
Comment 6 Roman Eisele 2012-04-22 01:15:11 UTC
The page layout was imported correctly with LibreOffice 3.4.x, therefore I add the keyword 'regression'.
Comment 7 Roman Eisele 2012-04-30 08:41:55 UTC
Bug 47933 - "rtf bug" is very very similar. But I propose to close bug 47933 in favour of this (the present) bug.
Comment 8 Jean-Baptiste Faure 2012-04-30 10:34:51 UTC
Should be interesting to know how the bugdoc has been created. Indeed the layout simulates a table as in bug 47495 whom bugdoc (attachment 58723 [details]) has been created by Oracle Report.

Best regards. JBF
Comment 9 Roman Eisele 2012-05-09 10:01:21 UTC
Another similar bug: bug 49403 - "RTF: layout of RTF document broken, regression from LibO 3.4".

(It's hard to say if any of these bugs is a real duplicate; this would need good understanding of the RTF format, and is beyond my horizon. We will know if one of them is fixed: if bug B goes away after fixing bug A, it was a duplicate ...)
Comment 10 Robinson Tryon (qubit) 2012-05-20 21:43:33 UTC
Regression does appear in oldest version of bibisect-3.5.tar.lzma and must be older.
Comment 11 Roman Eisele 2012-06-02 03:07:18 UTC
Created attachment 62414 [details]
Screenshot of the sample document opened with LibreOffice 3.5.4.2 on MacOS X

To document the current state of affairs, I attach another screenshot, this time taken with LibreOffice 3.5.4.2 (on MacOS X 10.6.8).

It shows that some fixes to other bugs have also improved the look of our sample file a bit, but the layout is still not correct.
Comment 12 Roman Eisele 2012-10-25 09:52:49 UTC
Created attachment 69057 [details]
Screenshot of the sample document opened with LibreOffice 3.6.3.1 on MacOS X



To document the current state of affairs, I attach another screenshot, this time taken with LibreOffice 3.6.3.1 (on MacOS X 10.6.8).

It shows that some fixes to other bugs have also improved the look of our sample file again, but the layout is still not correct.
Comment 13 Miklos Vajna 2012-11-06 10:02:13 UTC
OK, I think I know what's going on here. The vertical position of some text frames is incorrect, as \pvmrg is the default in RTF, but not in Writer. I'll fix this in a bit.
Comment 14 Not Assigned 2012-11-06 10:12:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b7bee4ed5722ce59ffd3394a0330d71d69d66b3

fdo#48442 fix default hori/vert frame anchor during RTF import



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Miklos Vajna 2012-11-06 10:26:14 UTC
Resolved in master, -3-6 review: https://gerrit.libreoffice.org/993
Comment 16 Not Assigned 2012-11-06 13:50:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99324a9dc5b2963be31ebb7a78679c2f3ed3d7a9&g=libreoffice-3-6

fdo#48442 fix default hori/vert frame anchor during RTF import


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Roman Eisele 2012-11-14 17:46:46 UTC
VERIFIED as FIXED
with LOdev 4.0.0.0.alpha0+ (Build ID: 32315e; pull time: 2012-11-13 00:32:26)
on Mac OS X 10.6.8 (Intel):
The sample file displays correctly (or at least much much better) now.

Thank you, Miklós, very much for this fix (and all the other ones ;-)!
Comment 18 Roman Eisele 2012-11-14 17:48:40 UTC
Created attachment 70086 [details]
Screenshot: sample document looks fine now, LOdev 2012-11-13
Comment 19 Robinson Tryon (qubit) 2015-12-15 11:54:49 UTC Comment hidden (obsolete)